#!/usr/bin/perl
#################################################################################
#										#
# trigo functions table generator for libmio						#
# copyright (c) 2006/2007 Joerg Wolfram (joerg@jcwolfram.de)			#
#										#
#										#
# This program is free software; you can redistribute it and/or			#
# modify it under the terms of the GNU General Public License			#
# as published by the Free Software Foundation; either version 2		#
# of the License, or (at your option) any later version.			#
#										#
# This program is distributed in the hope that it will be useful,		#
# but WITHOUT ANY WARRANTY; without even the implied warranty of		#
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the GNU		#
# General Public License for more details.					#
#										#
# You should have received a copy of the GNU General Public			#
# License along with this library; if not, write to the				#
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,			#
# Boston, MA 02111-1307, USA.							#
#										#
#################################################################################
for($i=0;$i<90;$i++)
{
	$angle=6.2831853*$i/360;
	$value=256*sin($angle); 
	$scell[$i]=$value%256;
}



###############################################################################
# write chartable
###############################################################################
open (WTAB, ">../sintable.inc");
    for($i=0;$i<5;$i++)
    {
        print WTAB "        .db "; 
        for($j=0;$j<18;$j++)
        {
	    $cellpos=$i*18+$j;
	    $y=$scell[$cellpos];
	    if ($y<1) {printf WTAB "0x00"} 
	    else {printf WTAB "%#2.2x",$y};
	    if ($j<17) {print WTAB ","}
	    else {print WTAB "\n"};
	}
    }
close(WTAB);

